Subject: Re: [Jcardcal] FINALIZE: jCard group syntax

From: Philipp Kewisch <[email-masked]>
Date: Tue, 02 Apr 2013 14:10:31 +0200

On 3/27/13 7:53 PM, Simon Perreault wrote:
> Le 2013-03-27 19:16, Philipp Kewisch a écrit :
>> Simon, I'd appreciate if you could provide the text for the formal
>> group parameter registration.
>
> 3.3.1.2.  Grouping of Properties
>
> [RFC6350] Section 3.3 defines a grouping construct that is used to
> group related properties together. In jCard, new GROUP parameter is
> introduced. Its purpose is to eliminate the need for group syntax in
> jCard, thus unifying the general syntax with that of jCal.
>
> Namespace: <empty>
>
> Parameter name: GROUP
>
> Purpose: To simplify the jCard format.
>
> Description: The GROUP parameter is reserved for the exclusive use of
> the jCard format [RFCXXXX]. It MUST NOT be used in plain vCard
> [RFC6350], nor in xCard [RFC6350]. 
Wouldn't this stop us from making use of it in vCard 5.0? Maybe
something like:

    The GROUP parameter is to be used as a replacement for the vCard
    [RFC6350] group construct. Therefore, it MUST NOT be used in plain
    vCard [RFC6350], nor in xCard [RFC6351]. Should a later version of
    vCard make use of the GROUP parameter as a replacement for the group
    construct, normal parameter conversion rules as defined in [Section
    3.4] apply.

The last sentence could also be added to the list of conversion rules.

> In jCard, the parameter's value is a single opaque string. It MUST NOT
> appear more than once per property.
Isn't this already given by the fact that JSON object keys must only
appear once?

> Conversion rules are as follows:
>
>   - From vCard to jCard, the group construct (see [RFC6350] page 8) is
> removed. In its place, the GROUP parameter is added (lowercased, as
> any other parameter). Its value is a string corresponding to the group
> name. The name's case MUST be preserved intact.
Page 7, not 8? I think its better to reference by section here.

Thanks for the text. I'm going to upload it as you suggested for now, we
can discuss this for the next revision.

Philipp

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 02 Apr 2013 07:15:05 -0600

On 4/2/13 6:10 AM, Philipp Kewisch wrote:
>>> Simon, I'd appreciate if you could provide the text for the
>>> formal group parameter registration.
>> 
>> [RFC6350] Section 3.3 defines a grouping construct that is used
>> to group related properties together. In jCard, new GROUP
>> parameter is introduced. Its purpose is to eliminate the need for
>> group syntax in jCard, thus unifying the general syntax with that
>> of jCal.
>> 
>> Namespace: <empty>
>> 
>> Parameter name: GROUP
>> 
>> Description: The GROUP parameter is reserved for the exclusive
>> use of the jCard format [RFCXXXX]. It MUST NOT be used in plain
>> vCard [RFC6350], nor in xCard [RFC6350].
> Wouldn't this stop us from making use of it in vCard 5.0?

<hat type='individual'/>

Not really. Those are just the latest references.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Simon Perreault <[email-masked]>
Date: Tue, 02 Apr 2013 17:04:46 +0200

> The last sentence could also be added to the list of conversion rules.

I don't think we should add such a sentence. vCard 5 could look *very* 
different from what we imagine today. So just don't say anything. 
Anyway, everything we say now can be overridden by a later RFC.

> Isn't this already given by the fact that JSON object keys must only

Right. Remove the second sentence.

> Page 7, not 8? I think its better to reference by section here.

Go with section if you want, you're the editor after all. ;) I chose to 
use page number because the section is big enough that the page number 
is actually more precise. :)

Simon